Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1729501 - Rear daily cron run fills temp directory upon failure
Summary: Rear daily cron run fills temp directory upon failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rear
Version: 8.0
Hardware: All
OS: All
unspecified
high
Target Milestone: rc
: 8.1
Assignee: Pavel Cahyna
QA Contact: David Jež
Mariya Pershina
URL:
Whiteboard:
Depends On: 1693608
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-12 12:31 UTC by Pavel Cahyna
Modified: 2020-04-28 15:47 UTC (History)
7 users (show)

Fixed In Version: rear-2.4-11.el8
Doc Type: Bug Fix
Doc Text:
.`ReaR` updates RHEL 8.2 introduces a number of updates to the Relax-and-Recover (`ReaR`) utility. The build directory handling has been changed. Previously, the build directory was kept in a temporary location in case `ReaR` encountered a failure. With this update, the build directory is deleted by default in non-interactive runs to prevent consuming disk space. The semantics of the `KEEP_BUILD_DIR` configuration variable has been enhanced to include a new `errors` value. You can set the `KEEP_BUILD_DIR` variable to the following values: * `errors` to preserve the build directory on errors for debugging (the previous behavior) * `y` (`true`) to always preserve the build directory * `n` (`false`) to never preserve the build directory The default value is an empty string with the meaning of `errors` when `ReaR` is being executed interactively (in a terminal) and `false` if `ReaR` is being executed non-interactively. Note that `KEEP_BUILD_DIR` is automatically set to `true` in debug mode (`-d`) and in debugscript mode (`-D`); this behavior has not been changed. Notable bug fixes include: * Support for NetBackup 8.0 has been fixed. * `ReaR` no longer aborts with a bash error similar to `xrealloc: cannot allocate` on systems with a large number of users, groups, and users per group. * The `bconsole` command now shows its prompt, which enables you to perform a restore operation when using the Bacula integration. * `ReaR` now correctly backs up files also in situations when the `docker` service is running but no `docker` root directory has been defined, or when it is impossible to determine the status of the `docker` service. * Recovery no longer fails when using thin pools or recovering a system in Migration Mode. * Extremely slow rebuild of `initramfs` during the recovery process with LVM has been fixed. * `ReaR` now creates a working bootable ISO image on the AMD and Intel 64-bit architectures when using the UEFI bootloader. Booting a rescue image in this setup no longer aborts in Grub with the error message `Unknown command 'configfile' (...) Entering rescue mode...`. Support for GRUB_RESCUE in this setup, which previously could fail due to missing XFS filesystem support, has also been fixed.
Clone Of: 1693608
Environment:
Last Closed: 2020-04-28 15:47:07 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github rear rear issues 2121 0 'None' closed ReaR not deleting folders from /tmp 2021-01-15 02:49:11 UTC
Github rear rear pull 2218 0 'None' closed Do not keep the build dir when used noninteractively 2021-01-15 02:49:11 UTC
Red Hat Product Errata RHBA-2020:1648 0 None None None 2020-04-28 15:47:26 UTC

Comment 6 errata-xmlrpc 2020-04-28 15:47:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1648


Note You need to log in before you can comment on or make changes to this bug.